<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.CheckBox?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>

<AnchorPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="634.0" prefWidth="897.0" xmlns="http://javafx.com/javafx/18" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.projetc.mcdonut.controller.CoffeeMenuController">
    <children>
        <ImageView fitHeight="150.0" fitWidth="200.0" layoutX="23.0" layoutY="185.0" pickOnBounds="true" preserveRatio="true" />
        <ImageView fitHeight="19.0" fitWidth="91.0" layoutX="476.0" layoutY="189.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/espresso_txt.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="228.0" fitWidth="275.0" layoutX="18.0" layoutY="236.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/coffe_logo2.png" />
            </image></ImageView>
        <ImageView fitHeight="150.0" fitWidth="200.0" pickOnBounds="true" preserveRatio="true" />
        <ImageView fitHeight="184.0" fitWidth="229.0" layoutX="-27.0" layoutY="-1.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/cofeeSeeds.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="26.0" fitWidth="52.0" layoutX="714.0" layoutY="193.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/latte_txt.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="32.0" fitWidth="120.0" layoutX="693.0" layoutY="336.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/americano_txt.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="42.0" fitWidth="78.0" layoutX="714.0" layoutY="509.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/cocoa_txt.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="20.0" fitWidth="68.0" layoutX="277.0" layoutY="190.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/mocha_txt.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="29.0" fitWidth="120.0" layoutX="258.0" layoutY="369.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/irish_txt.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="23.0" fitWidth="80.0" layoutX="282.0" layoutY="547.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/frappe_txt.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="73.0" fitWidth="362.0" layoutX="318.0" layoutY="16.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/cofee_menu_title.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="184.0" fitWidth="229.0" layoutX="23.0" layoutY="450.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/cofeeSeeds.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="184.0" fitWidth="229.0" layoutX="43.0" layoutY="85.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/cofeeSeeds.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="184.0" fitWidth="229.0" layoutX="-39.0" layoutY="524.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/cofeeSeeds.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="184.0" fitWidth="229.0" layoutX="-136.0" layoutY="411.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/cofeeSeeds.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="184.0" fitWidth="229.0" layoutX="-175.0" layoutY="243.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/cofeeSeeds.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="184.0" fitWidth="229.0" layoutX="-163.0" layoutY="85.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/cofeeSeeds.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="19.0" fitWidth="46.0" layoutX="292.0" layoutY="215.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/12_price.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="19.0" fitWidth="46.0" layoutX="736.0" layoutY="375.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/15_price.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="33.0" fitWidth="46.0" layoutX="722.0" layoutY="223.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/15_price.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="19.0" fitWidth="46.0" layoutX="288.0" layoutY="403.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/21_price.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="16.0" fitWidth="46.0" layoutX="499.0" layoutY="213.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/18_price.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="19.0" fitWidth="46.0" layoutX="298.0" layoutY="575.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/12_price.png" />
            </image>
        </ImageView>
        <ImageView fitHeight="19.0" fitWidth="46.0" layoutX="743.0" layoutY="551.0" pickOnBounds="true" preserveRatio="true">
            <image>
                <Image url="@Pictures/18_price.png" />
            </image>
        </ImageView>
        <CheckBox fx:id="mocha_drink" layoutX="367.0" layoutY="159.0" mnemonicParsing="false" />
        <CheckBox fx:id="cocoa_drink" layoutX="804.0" layoutY="497.0" mnemonicParsing="false" />
        <CheckBox fx:id="frappe_drink" layoutX="352.0" layoutY="506.0" mnemonicParsing="false" />
        <CheckBox fx:id="americano_drink" layoutX="802.0" layoutY="317.0" mnemonicParsing="false" />
        <CheckBox fx:id="irish_drink" layoutX="352.0" layoutY="326.0" mnemonicParsing="false" />
        <CheckBox fx:id="latte_drink" layoutX="802.0" layoutY="159.0" mnemonicParsing="false" />
        <CheckBox fx:id="espresso_drink" layoutX="574.0" layoutY="159.0" mnemonicParsing="false" />
        <Label fx:id="labelCoffeeDetails" layoutX="434.0" layoutY="234.0" prefHeight="184.0" prefWidth="165.0" text="PRESS ON A COFFEE TO SEE ITS INFORMATION" wrapText="true" />
        <Button fx:id="order_button" layoutX="424.0" layoutY="521.0" mnemonicParsing="false" onAction="#obtainChosenCoffees" prefHeight="90.0" prefWidth="90.0" style="-fx-background-color: transparent;">
            <graphic>
                <ImageView fitHeight="100.0" fitWidth="71.0" pickOnBounds="true" preserveRatio="true">
                    <image>
                        <Image url="@Pictures/order-button.png" />
                    </image>
                </ImageView>
            </graphic>
        </Button>
        <Button fx:id="skip_button" layoutX="541.0" layoutY="521.0" mnemonicParsing="false" onAction="#changeSceneToExtraProducts" prefHeight="92.0" prefWidth="83.0" style="-fx-background-color: transparent;">
            <graphic>
                <ImageView fitHeight="90.0" fitWidth="100.0" pickOnBounds="true" preserveRatio="true">
                    <image>
                        <Image url="@Pictures/skip_button.png" />
                    </image>
                </ImageView>
            </graphic>
        </Button>
        <Button fx:id="mocha_button" layoutX="262.0" layoutY="103.0" mnemonicParsing="false" onAction="#setMochaDetailsOnLabel" style="-fx-background-color: transparent;">
            <graphic>
                <ImageView fitHeight="87.0" fitWidth="83.0" pickOnBounds="true" preserveRatio="true">
                    <image>
                        <Image url="@Pictures/latte_drink.png" />
                    </image>
                </ImageView>
            </graphic>
        </Button>
        <Button fx:id="espresso_button" layoutX="453.0" layoutY="106.0" mnemonicParsing="false" onAction="#setEspressoDetailsOnLabel" style="-fx-background-color: transparent;">
            <graphic>
                <ImageView fitHeight="81.0" fitWidth="105.0" pickOnBounds="true" preserveRatio="true">
                    <image>
                        <Image url="@Pictures/espresso_drink.png" />
                    </image>
                </ImageView>
            </graphic>
        </Button>
        <Button fx:id="latte_button" layoutX="694.0" layoutY="96.0" mnemonicParsing="false" onAction="#setLatteDetailsOnLabel" style="-fx-background-color: transparent;">
            <graphic>
                <ImageView fitHeight="95.0" fitWidth="86.0" pickOnBounds="true" preserveRatio="true">
                    <image>
                        <Image url="@Pictures/macchiato_drink.png" />
                    </image>
                </ImageView>
            </graphic>
        </Button>
        <Button fx:id="irish_button" layoutX="271.0" layoutY="248.0" mnemonicParsing="false" onAction="#setIrishDetailsOnLabel" style="-fx-background-color: transparent;">
            <graphic>
                <ImageView fitHeight="103.0" fitWidth="62.0" pickOnBounds="true" preserveRatio="true">
                    <image>
                        <Image url="@Pictures/irish-cofee_drink.png" />
                    </image>
                </ImageView>
            </graphic>
        </Button>
        <Button fx:id="americano_button" layoutX="694.0" layoutY="263.0" mnemonicParsing="false" onAction="#setAmericanoDetailsOnLabel" style="-fx-background-color: transparent;">
            <graphic>
                <ImageView fitHeight="88.0" fitWidth="88.0" pickOnBounds="true" preserveRatio="true">
                    <image>
                        <Image url="@Pictures/americano_drink.png" />
                    </image>
                </ImageView>
            </graphic>
        </Button>
        <Button fx:id="frappe_button" layoutX="270.0" layoutY="433.0" mnemonicParsing="false" onAction="#setFrappeDetailsOnLabel" style="-fx-background-color: transparent;">
            <graphic>
                <ImageView fitHeight="109.0" fitWidth="88.0" pickOnBounds="true" preserveRatio="true">
                    <image>
                        <Image url="@Pictures/mocha_drink.png" />
                    </image>
                </ImageView>
            </graphic>
        </Button>
        <Button fx:id="cocoa_button" layoutX="692.0" layoutY="411.0" mnemonicParsing="false" onAction="#setCocoaDetailsOnLabel" style="-fx-background-color: transparent;">
            <graphic>
                <ImageView fitHeight="95.0" fitWidth="68.0" pickOnBounds="true" preserveRatio="true">
                    <image>
                        <Image url="@Pictures/tea-chocolate_drink.png" />
                    </image>
                </ImageView>
            </graphic>
        </Button>
        <Label fx:id="cofeeslabel" disable="false" layoutX="441.0" layoutY="420.0" prefHeight="82.0" prefWidth="200.0" wrapText="true" />
    </children>
</AnchorPane>
